Bug 471182 - rsync errors: unexpected tag 3 [sender]
rsync errors: unexpected tag 3 [sender]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rsync (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Vojtech Vitek
Aleš Mareček
:
Depends On: 339971 737827
Blocks: 499522
  Show dependency treegraph
 
Reported: 2008-11-12 04:09 EST by Carlos Lopez
Modified: 2015-03-04 18:56 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 06:48:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch (2.32 KB, patch)
2009-03-10 10:55 EDT, Olivier Fourdan
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 4017 None None None Never

  None (edit)
Description Carlos Lopez 2008-11-12 04:09:16 EST
Description of problem:
I am trying to synchronize several virtual guests between two rhel5.2 servers. Sometimes rsync process fails in certain virtual guests and another times fails with others.

Rsync command that I use to synchronize between two hosts is:
rsync --stats -avH --delete --delay-updates /vmachines/srvdns 172.26.0.11::vmachines/


Version-Release number of selected component (if applicable):
rsync-2.6.8-3.1

How reproducible:
Every time that I launch described process.


Steps to Reproduce:
1. Launch rsync command
2.
3.
  
Actual results:
Broken synchroniztacon

Expected results:


Additional info:

Error reported from client side:
Running rsync: Wed Nov 12 01:25:31 CET 2008
+ rsync --stats -avH --delete --delay-updates /vmachines/srvdns 172.26.0.11::vmachines/
building file list ... done
srvdns/
srvdns/SrvDNS.nvram
srvdns/SrvDNS.vmx
unexpected tag 3 [sender]
rsync error: error in rsync protocol data stream (code 12) at io.c(828) [sender=2.6.8]



Error reported from server side:
2008/11/12 00:25:42 [12657] 2008/11/12 00:25:42: host UNKNOWN (172.26.0.10) recv srvdns/SrvDNS.nvram (8684 bytes). Total 88 bytes.
2008/11/12 00:25:42 [12657] rsync: read error: Connection reset by peer (104)
2008/11/12 00:25:42 [12657] rsync error: error in rsync protocol data stream (code 12) at io.c(614) [receiver=2.6.8]
2008/11/12 00:25:42 [12657] rsync: connection unexpectedly closed (486 bytes received so far) [generator]
2008/11/12 00:25:42 [12657] rsync error: error in rsync protocol data stream (code 12) at io.c(463) [generator=2.6.8]
Comment 2 Olivier Fourdan 2009-03-10 10:55:58 EDT
Created attachment 334665 [details]
Proposed patch

This bug has been fixed in rsync 2.6.9 (bug #339971 to rebase rsync to 2.6.9), in the mean time the patch here is backported from rsync 2.6.9 code.

This is a slightly different patch from the one attached to bug #206536 for FC5 which seems to be incomplete.
Comment 15 Tom Parker 2009-12-28 19:10:39 EST
Thanks for the info about this being fixed in rsync 2.6.9. That helps!
Comment 17 David Tonhofer 2010-01-04 14:52:49 EST
This bug seems to still exists in:

Red Hat Enterprise Linux Server release 5.4 (Tikanga)

Not good... NOT good...
Comment 22 RHEL Product and Program Management 2010-08-09 14:56:59 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 39 errata-xmlrpc 2011-07-21 06:48:38 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0999.html

Note You need to log in before you can comment on or make changes to this bug.